Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class LinkCapabilities

    java.lang.Object
      oracle.ifs.beans.PublicObjectCapabilities
          oracle.ifs.beans.TiePublicObjectCapabilities
              oracle.ifs.beans.LinkCapabilities

Direct Known Subclasses:
  TieLinkCapabilities

    public class LinkCapabilities

extends TiePublicObjectCapabilities

Subclass of PublicObjectCapabilities with specific capability checking overrides for the LINK classobject.

Constructor Summary
`LinkCapabilities(PublicObject object)` Creates a new LinkCapabilities instance.

Method Summary
`boolean` | `ADDVERSION()` Performs additional capability check for the ADDVERSION permission.
`boolean` | `SET_CONTENT()` Performs additional capability check for the SET_CONTENT permission.

Methods inherited from class oracle.ifs.beans.PublicObjectCapabilities
`ADDITEM, ADMINISTER_CATEGORY, ADMINISTER_CONFIGURATION, ADMINISTER_CONTAINER, ADMINISTER_DOMAIN, ADMINISTER_LOCK, ADMINISTER_QUOTA, ADMINISTER_RECORD, ADMINISTER_ROLE, ADMINISTER_SECURITY, ADMINISTER_USER, ADMINISTER_WORKSPACE, checkCapabilities, checkCapability, checkEffectiveAccess, checkEffectiveAccess, COPY, CREATECONTAINER, CREATEFOLDER, CREATEWORKSPACE, DELETE, DISCOVER, GET_CONTENT, GETAUDITHISTORY, getCapabilities, GETMETADATA, GETRELATION, getTrackedObject, LOCK, MOVE, SET_ATTR, SETMETADATA, SETRELATION, verifyCapabilities, verifyCapability`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkCapabilities

    public LinkCapabilities(PublicObject object)

  Creates a new LinkCapabilities instance.

  Parameters:
    `object` - the PublicObject (Link subclass) for which capabilities are tracked.

Method Detail

### SET_CONTENT

    public boolean SET_CONTENT()
                        throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the SET_CONTENT permission.

  Overrides:
    `SET_CONTENT` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

### ADDVERSION

    public boolean ADDVERSION()
                       throws IfsException

  Description copied from class: `PublicObjectCapabilities`
  Performs additional capability check for the ADDVERSION permission.

  Overrides:
    `ADDVERSION` in class `PublicObjectCapabilities`
  Returns:
    true if the permission is allowed; false otherwise.
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD